Referencia APIv1WebhooksBy ID

Update a webhook

PATCH
/v1/webhooks/{id}
X-API-Key<token>

Per-store API key created in the dashboard at Settings > Developer > API Keys.

In: header

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.whatalo.com/v1/webhooks/472819365047" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "wh_abc123",
    "url": "https://myapp.com/webhooks",
    "events": [
      "order.created",
      "order.updated"
    ],
    "is_active": true,
    "last_triggered_at": "string",
    "failure_count": 0,
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  }
}